Index: issm/trunk/src/m/classes/timesteppingadaptive.py
===================================================================
--- issm/trunk/src/m/classes/timesteppingadaptive.py	(revision 25994)
+++ issm/trunk/src/m/classes/timesteppingadaptive.py	(revision 26744)
@@ -19,5 +19,6 @@
             self.time_step_max = 0.
             self.cfl_coefficient = 0.
-            self.interp_forcings = 1
+            self.interp_forcing = 1
+            self.cycle_forcing = 0
             self.coupling_time = 0.
 
@@ -31,5 +32,6 @@
             self.start_time = old.start_time
             self.final_time = old.final_time
-            self.interp_forcings = old.interp_forcings
+            self.interp_forcing = old.interp_forcing
+            self.cycle_forcing = old.cycle_forcing
             self.coupling_time = old.coupling_time
 
@@ -45,5 +47,6 @@
         string = "%s\n%s" % (string, fielddisplay(self, "time_step_max", "maximum length of time steps [yr]"))
         string = "%s\n%s" % (string, fielddisplay(self, "cfl_coefficient", "coefficient applied to cfl condition"))
-        string = "%s\n%s" % (string, fielddisplay(self, "interp_forcings", "interpolate in time between requested forcing values ? (0 or 1)"))
+        string = "%s\n%s" % (string, fielddisplay(self, "interp_forcing", "interpolate in time between requested forcing values ? (0 or 1)"))
+        string = "%s\n%s" % (string, fielddisplay(self, "cycle_forcing", "cycle through forcing ? (0 or 1)"))
         string = "%s\n%s" % (string, fielddisplay(self, "coupling_time", "coupling time steps with ocean model [yr]"))
         return string
@@ -58,6 +61,7 @@
         #time adaptation?
         self.cfl_coefficient = 0.5
-        #should we interpolate forcings between timesteps?
-        self.interp_forcings = 1
+        #should we interpolate forcing between timesteps?
+        self.interp_forcing = 1
+        self.cycle_forcing   = 0
         return self
     #}}}
@@ -71,5 +75,6 @@
         if self.final_time - self.start_time < 0:
             md.checkmessage("timestepping.final_time should be larger than timestepping.start_time")
-        md = checkfield(md, 'fieldname', 'timestepping.interp_forcings', 'numel', [1], 'values', [0, 1])
+        md = checkfield(md, 'fieldname', 'timestepping.interp_forcing', 'numel', [1], 'values', [0, 1])
+        md = checkfield(md, 'fieldname', 'timestepping.cycle_forcing', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'timestepping.coupling_time', 'numel', [1], '>=', 0, 'NaN', 1, 'Inf', 1)
 
@@ -85,5 +90,6 @@
         WriteData(fid, prefix, 'object', self, 'class', 'timestepping', 'fieldname', 'time_step_max', 'format', 'Double', 'scale', yts)
         WriteData(fid, prefix, 'object', self, 'class', 'timestepping', 'fieldname', 'cfl_coefficient', 'format', 'Double')
-        WriteData(fid, prefix, 'object', self, 'class', 'timestepping', 'fieldname', 'interp_forcings', 'format', 'Boolean')
+        WriteData(fid, prefix, 'object', self, 'class', 'timestepping', 'fieldname', 'interp_forcing', 'format', 'Boolean')
+        WriteData(fid, prefix, 'object', self, 'class', 'timestepping', 'fieldname', 'cycle_forcing', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'class', 'timestepping', 'fieldname', 'coupling_time', 'format', 'Double', 'scale', yts)
     # }}}
Index: issm/trunk/src/m/classes/toolkits.m
===================================================================
--- issm/trunk/src/m/classes/toolkits.m	(revision 25994)
+++ issm/trunk/src/m/classes/toolkits.m	(revision 26744)
@@ -105,5 +105,5 @@
 					case 'LoveAnalysis'
 					case 'EsaAnalysis'
-					case 'SealevelriseAnalysis'
+					case 'SealevelchangeAnalysis'
 					otherwise
 						md = checkmessage(md,['md.toolkits.' analyses{i} ' not supported yet']);
Index: issm/trunk/src/m/classes/transient.js
===================================================================
--- issm/trunk/src/m/classes/transient.js	(revision 26744)
+++ issm/trunk/src/m/classes/transient.js	(revision 26744)
@@ -0,0 +1,132 @@
+//TRANSIENT class definition
+//
+//   Usage:
+//      transient =new transient();
+
+function transient (){
+	//methods
+	this.setdefaultparameters = function(){// {{{
+
+		//full analysis: Stressbalance, Masstransport and Thermal but no groundingline migration for now
+		this.issmb             = 1;
+		this.ismasstransport   = 1;
+		this.isstressbalance   = 1;
+		this.isthermal         = 0;
+		this.isgroundingline   = 0;
+		this.isgia             = 0;
+		this.isesa             = 0;
+		this.isdamageevolution = 0;
+		this.ismovingfront     = 0;
+		this.ishydrology       = 0;
+		this.isslr             = 0;
+		this.isoceancoupling   = 0;
+		this.iscoupler         = 0;
+		this.amr_frequency     = 0;
+
+		//default output
+		this.requested_outputs=['default'];
+
+	}// }}}
+	this.disp= function(){// {{{
+
+		console.log(sprintf('   transient solution parameters:'));
+
+		fielddisplay(this,'issmb','indicates whether a surface mass balance solution is used in the transient');
+		fielddisplay(this,'ismasstransport','indicates whether a masstransport solution is used in the transient');
+		fielddisplay(this,'isstressbalance','indicates whether a stressbalance solution is used in the transient');
+		fielddisplay(this,'isthermal','indicates whether a thermal solution is used in the transient');
+		fielddisplay(this,'isgroundingline','indicates whether a groundingline migration is used in the transient');
+		fielddisplay(this,'isgia','indicates whether a postglacial rebound model is used in the transient');
+		fielddisplay(this,'isesa','indicates whether an elastic adjustment model is used in the transient');
+		fielddisplay(this,'isdamageevolution','indicates whether damage evolution is used in the transient');
+		fielddisplay(this,'ismovingfront','indicates whether a moving front capability is used in the transient');
+		fielddisplay(this,'ishydrology','indicates whether an hydrology model is used');
+		fielddisplay(this,'isslr','indicates whether a sea-level rise model is used');
+		fielddisplay(this,'isoceancoupling','indicates whether a coupling with an ocean model is used in the transient');
+		fielddisplay(this,'iscoupler','indicates whether different models are being run with need for coupling');
+		fielddisplay(this,'amr_frequency','frequency at which mesh is refined in simulations with multiple time_steps');
+		fielddisplay(this,'requested_outputs','list of additional outputs requested');
+
+
+	}// }}}
+	this.classname= function(){// {{{
+		return "transient";
+	}// }}}
+		this.checkconsistency = function(md,solution,analyses) { // {{{
+
+			//Early return
+			if (solution!='TransientSolution') return;
+
+			checkfield(md,'fieldname','transient.issmb','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.ismasstransport','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.isstressbalance','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.isthermal','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.isgroundingline','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.isgia','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.isesa','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.isdamageevolution','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.ismovingfront','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.ishydrology','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.isslr','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.isoceancoupling','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.iscoupler','numel',[1],'values',[0, 1]);
+			checkfield(md,'fieldname','transient.amr_frequency','numel',[1],'>=',0,'NaN',1,'Inf',1);
+			checkfield(md,'fieldname','transient.requested_outputs','stringrow',1);
+		} // }}}
+		this.marshall=function(md,prefix,fid) { //{{{
+
+			prefix='md.transient';
+			WriteData(fid,prefix,'object',this,'fieldname','issmb','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','ismasstransport','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','isoceantransport','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','isstressbalance','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','isthermal','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','isgroundingline','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','isesa','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','isdamageevolution','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','ishydrology','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','ismovingfront','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','issampling','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','isslc','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','isoceancoupling','format','Boolean');
+			WriteData(fid,prefix,'object',this,'fieldname','amr_frequency','format','Integer');
+
+			//process requested outputs
+			var outputs = this.requested_outputs;
+			for (var i=0;i<outputs.length;i++){
+				if (outputs[i] == 'default') {
+					outputs.splice(i,1);
+					var newoutputs=this.defaultoutputs(md);
+					for (var j=0;j<newoutputs.length;j++) outputs.push(newoutputs[j]);
+				}
+			}			
+			WriteData(fid,prefix,'data',outputs,'name','md.transient.requested_outputs','format','StringArray');
+		}//}}}
+		this.defaultoutputs = function(md) { //{{{
+			if(this.issmb)return ['SmbMassBalance'];
+			else return [];
+		}//}}}
+		this.fix=function() { //{{{
+		}//}}}
+	//properties 
+	// {{{
+
+	this.issmb             = 0;
+	this.ismasstransport   = 0;
+	this.isstressbalance   = 0;
+	this.isthermal         = 0;
+	this.isgroundingline   = 0;
+	this.isgia             = 0;
+	this.isesa             = 0;
+	this.isdamageevolution = 0;
+	this.ismovingfront     = 0;
+	this.ishydrology       = 0;
+	this.isslr             = 0;
+	this.isoceancoupling   = 0;
+	this.iscoupler         = 0;
+	this.amr_frequency	   = 0;
+	this.requested_outputs = [];
+
+	this.setdefaultparameters();
+	//}}}
+}
Index: issm/trunk/src/m/classes/transient.m
===================================================================
--- issm/trunk/src/m/classes/transient.m	(revision 25994)
+++ issm/trunk/src/m/classes/transient.m	(revision 26744)
@@ -8,14 +8,14 @@
 		issmb             = 0;
 		ismasstransport   = 0;
+		isoceantransport  = 0;
 		isstressbalance   = 0;
 		isthermal         = 0;
 		isgroundingline   = 0;
-		isgia             = 0;
 		isesa             = 0;
 		isdamageevolution = 0;
 		ismovingfront     = 0;
 		ishydrology       = 0;
-		isslr             = 0;
-		iscoupler         = 0;
+		issampling        = 0;
+		isslc             = 0;
 		amr_frequency     = 0;
 		isoceancoupling   = 0;
@@ -34,18 +34,18 @@
 
 			%full analysis: Stressbalance, Masstransport and Thermal but no groundingline migration for now
-			self.issmb           = 0;
-			self.ismasstransport = 0;
-			self.isstressbalance = 0;
-			self.isthermal       = 0;
-			self.isgroundingline = 0;
-			self.isgia           = 0;
-			self.isesa           = 0;
+			self.issmb             = 0;
+			self.ismasstransport   = 0;
+			self.isoceantransport  = 0;
+			self.isstressbalance   = 0;
+			self.isthermal         = 0;
+			self.isgroundingline   = 0;
+			self.isesa             = 0;
 			self.isdamageevolution = 0;
-			self.ismovingfront   =0;
-			self.ishydrology     = 0;
-			self.isslr           = 0;
-			self.isoceancoupling = 0;
-			self.iscoupler       = 0;
-			self.amr_frequency	= 0;
+			self.ismovingfront     = 0;
+			self.ishydrology       = 0;
+			self.issampling        = 0;
+			self.isslc             = 0;
+			self.isoceancoupling   = 0;
+			self.amr_frequency     = 0;
 
 			%default output
@@ -55,18 +55,18 @@
 
 			%full analysis: Stressbalance, Masstransport and Thermal but no groundingline migration for now
-			self.issmb           = 1;
-			self.ismasstransport = 1;
-			self.isstressbalance = 1;
-			self.isthermal       = 1;
-			self.isgroundingline = 0;
-			self.isgia           = 0;
-			self.isesa           = 0;
+			self.issmb             = 1;
+			self.ismasstransport   = 1;
+			self.isoceantransport  = 0;
+			self.isstressbalance   = 1;
+			self.isthermal         = 1;
+			self.isgroundingline   = 0;
+			self.isesa             = 0;
 			self.isdamageevolution = 0;
-			self.ismovingfront   = 0;
-			self.ishydrology     = 0;
-			self.isslr           = 0;
-			self.isoceancoupling = 0;
-			self.iscoupler       = 0;
-			self.amr_frequency	= 0;
+			self.ismovingfront     = 0;
+			self.ishydrology       = 0;
+			self.issampling        = 0;
+			self.isslc             = 0;
+			self.isoceancoupling   = 0;
+			self.amr_frequency     = 0;
 
 			%default output
@@ -87,8 +87,8 @@
 			md = checkfield(md,'fieldname','transient.issmb','numel',[1],'values',[0 1]);
 			md = checkfield(md,'fieldname','transient.ismasstransport','numel',[1],'values',[0 1]);
+			md = checkfield(md,'fieldname','transient.isoceantransport','numel',[1],'values',[0 1]);
 			md = checkfield(md,'fieldname','transient.isstressbalance','numel',[1],'values',[0 1]);
 			md = checkfield(md,'fieldname','transient.isthermal','numel',[1],'values',[0 1]);
 			md = checkfield(md,'fieldname','transient.isgroundingline','numel',[1],'values',[0 1]);
-			md = checkfield(md,'fieldname','transient.isgia','numel',[1],'values',[0 1]);
 			md = checkfield(md,'fieldname','transient.isesa','numel',[1],'values',[0 1]);
 			md = checkfield(md,'fieldname','transient.isdamageevolution','numel',[1],'values',[0 1]);
@@ -96,7 +96,7 @@
 			md = checkfield(md,'fieldname','transient.ishydrology','numel',[1],'values',[0 1]);
 			md = checkfield(md,'fieldname','transient.requested_outputs','stringrow',1);
-			md = checkfield(md,'fieldname','transient.isslr','numel',[1],'values',[0 1]);
+			md = checkfield(md,'fieldname','transient.isslc','numel',[1],'values',[0 1]);
 			md = checkfield(md,'fieldname','transient.isoceancoupling','numel',[1],'values',[0 1]);
-			md = checkfield(md,'fieldname','transient.iscoupler','numel',[1],'values',[0 1]);
+			md = checkfield(md,'fieldname','transient.issampling','numel',[1],'values',[0 1]);  
 			md = checkfield(md,'fieldname','transient.amr_frequency','numel',[1],'>=',0,'NaN',1,'Inf',1);
 
@@ -113,15 +113,15 @@
 			fielddisplay(self,'issmb','indicates whether a surface mass balance solution is used in the transient');
 			fielddisplay(self,'ismasstransport','indicates whether a masstransport solution is used in the transient');
+			fielddisplay(self,'isoceantransport','indicates whether an ocean masstransport solution is used in the transient');
 			fielddisplay(self,'isstressbalance','indicates whether a stressbalance solution is used in the transient');
 			fielddisplay(self,'isthermal','indicates whether a thermal solution is used in the transient');
 			fielddisplay(self,'isgroundingline','indicates whether a groundingline migration is used in the transient');
-			fielddisplay(self,'isgia','indicates whether a postglacial rebound model is used in the transient');
 			fielddisplay(self,'isesa','indicates whether an elastic adjustment model is used in the transient');
 			fielddisplay(self,'isdamageevolution','indicates whether damage evolution is used in the transient');
 			fielddisplay(self,'ismovingfront','indicates whether a moving front capability is used in the transient');
 			fielddisplay(self,'ishydrology','indicates whether an hydrology model is used');
-			fielddisplay(self,'isslr','indicates whether a sea-level rise solution is used in the transient');
+			fielddisplay(self,'issampling','indicates whether sampling is used in the transient')
+			fielddisplay(self,'isslc','indicates whether a sea-level change solution is used in the transient');
 			fielddisplay(self,'isoceancoupling','indicates whether a coupling with an ocean model is used in the transient');
-			fielddisplay(self,'iscoupler','indicates whether different models are being run with need for coupling');
 			fielddisplay(self,'amr_frequency','frequency at which mesh is refined in simulations with multiple time_steps');
 			fielddisplay(self,'requested_outputs','list of additional outputs requested');
@@ -131,15 +131,15 @@
 			WriteData(fid,prefix,'object',self,'fieldname','issmb','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','ismasstransport','format','Boolean');
+			WriteData(fid,prefix,'object',self,'fieldname','isoceantransport','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','isstressbalance','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','isthermal','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','isgroundingline','format','Boolean');
-			WriteData(fid,prefix,'object',self,'fieldname','isgia','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','isesa','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','isdamageevolution','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','ishydrology','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','ismovingfront','format','Boolean');
-			WriteData(fid,prefix,'object',self,'fieldname','isslr','format','Boolean');
+			WriteData(fid,prefix,'object',self,'fieldname','issampling','format','Boolean'); 
+			WriteData(fid,prefix,'object',self,'fieldname','isslc','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','isoceancoupling','format','Boolean');
-			WriteData(fid,prefix,'object',self,'fieldname','iscoupler','format','Boolean');
 			WriteData(fid,prefix,'object',self,'fieldname','amr_frequency','format','Integer');
 
@@ -157,15 +157,15 @@
 			writejsdouble(fid,[modelname '.trans.issmb'],self.issmb);
 			writejsdouble(fid,[modelname '.trans.ismasstransport'],self.ismasstransport);
+			writejsdouble(fid,[modelname '.trans.isoceantransport'],self.isoceantransport);
 			writejsdouble(fid,[modelname '.trans.isstressbalance'],self.isstressbalance);
 			writejsdouble(fid,[modelname '.trans.isthermal'],self.isthermal);
 			writejsdouble(fid,[modelname '.trans.isgroundingline'],self.isgroundingline);
-			writejsdouble(fid,[modelname '.trans.isgia'],self.isgia);
 			writejsdouble(fid,[modelname '.trans.isesa'],self.isesa);
 			writejsdouble(fid,[modelname '.trans.isdamageevolution'],self.isdamageevolution);
 			writejsdouble(fid,[modelname '.trans.ismovingfront'],self.ismovingfront);
 			writejsdouble(fid,[modelname '.trans.ishydrology'],self.ishydrology);
-			writejsdouble(fid,[modelname '.trans.isslr'],self.isslr);
+			writejsdouble(fid,[modelname '.trans.issampling'],self.issampling); 
+			writejsdouble(fid,[modelname '.trans.isslc'],self.isslc);
 			writejsdouble(fid,[modelname '.trans.isoceancoupling'],self.isoceancoupling);
-			writejsdouble(fid,[modelname '.trans.iscoupler'],self.iscoupler);
 			writejsdouble(fid,[modelname '.trans.amr_frequency'],self.amr_frequency);
 			writejscellstring(fid,[modelname '.trans.requested_outputs'],self.requested_outputs);
Index: issm/trunk/src/m/classes/transient.py
===================================================================
--- issm/trunk/src/m/classes/transient.py	(revision 25994)
+++ issm/trunk/src/m/classes/transient.py	(revision 26744)
@@ -14,14 +14,14 @@
         self.issmb = 0
         self.ismasstransport = 0
+        self.isoceantransport = 0
         self.isstressbalance = 0
         self.isthermal = 0
         self.isgroundingline = 0
-        self.isgia = 0
         self.isesa = 0
         self.isdamageevolution = 0
         self.ismovingfront = 0
         self.ishydrology = 0
-        self.isslr = 0
-        self.iscoupler = 0
+        self.issampling = 0
+        self.isslc = 0
         self.amr_frequency = 0
         self.isoceancoupling = 0
@@ -29,5 +29,5 @@
 
         self.setdefaultparameters()
-    #}}}
+    # }}}
 
     def __repr__(self):  # {{{
@@ -35,19 +35,19 @@
         s += '{}\n'.format(fielddisplay(self, 'issmb', 'indicates if a surface mass balance solution is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'ismasstransport', 'indicates if a masstransport solution is used in the transient'))
+        s += '{}\n'.format(fielddisplay(self, 'isoceantransport', 'indicates whether an ocean masstransport solution is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'isstressbalance', 'indicates if a stressbalance solution is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'isthermal', 'indicates if a thermal solution is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'isgroundingline', 'indicates if a groundingline migration is used in the transient'))
-        s += '{}\n'.format(fielddisplay(self, 'isgia', 'indicates if a postglacial rebound is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'isesa', 'indicates whether an elastic adjustment model is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'isdamageevolution', 'indicates whether damage evolution is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'ismovingfront', 'indicates whether a moving front capability is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'ishydrology', 'indicates whether an hydrology model is used'))
-        s += '{}\n'.format(fielddisplay(self, 'isslr', 'indicates if a sea level rise solution is used in the transient'))
+        s += '{}\n'.format(fielddisplay(self, 'issampling', 'indicates whether sampling is used in the transient'))
+        s += '{}\n'.format(fielddisplay(self, 'isslc', 'indicates if a sea level change solution is used in the transient'))
         s += '{}\n'.format(fielddisplay(self, 'isoceancoupling', 'indicates whether coupling with an ocean model is used in the transient'))
-        s += '{}\n'.format(fielddisplay(self, 'iscoupler', 'indicates whether different models are being run with need for coupling'))
         s += '{}\n'.format(fielddisplay(self, 'amr_frequency', 'frequency at which mesh is refined in simulations with multiple time_steps'))
         s += '{}\n'.format(fielddisplay(self, 'requested_outputs', 'list of additional outputs requested'))
         return s
-    #}}}
+    # }}}
 
     def defaultoutputs(self, md):  # {{{
@@ -56,20 +56,20 @@
         else:
             return []
-    #}}}
+    # }}}
 
     def deactivateall(self):  #{{{
         self.issmb = 0
         self.ismasstransport = 0
+        self.isoceantransport = 0
         self.isstressbalance = 0
         self.isthermal = 0
         self.isgroundingline = 0
-        self.isgia = 0
         self.isesa = 0
         self.isdamageevolution = 0
         self.ismovingfront = 0
         self.ishydrology = 0
-        self.isslr = 0
+        self.issampling = 0
+        self.isslc = 0
         self.isoceancoupling = 0
-        self.iscoupler = 0
         self.amr_frequency = 0
 
@@ -77,21 +77,22 @@
         self.requested_outputs = []
         return self
-    #}}}
+    # }}}
 
     def setdefaultparameters(self):  # {{{
-        #full analysis: Stressbalance, Masstransport and Thermal but no groundingline migration for now
+        # Full analysis: Stressbalance, Masstransport and Thermal but no 
+        # groundingline migration for now
         self.issmb = 1
         self.ismasstransport = 1
+        self.isoceantransport = 0
         self.isstressbalance = 1
         self.isthermal = 1
         self.isgroundingline = 0
-        self.isgia = 0
         self.isesa = 0
         self.isdamageevolution = 0
         self.ismovingfront = 0
         self.ishydrology = 0
-        self.isslr = 0
+        self.issampling = 0
+        self.isslc = 0
         self.isoceancoupling = 0
-        self.iscoupler = 0
         self.amr_frequency = 0
 
@@ -99,5 +100,5 @@
         self.requested_outputs = ['default']
         return self
-    #}}}
+    # }}}
 
     def checkconsistency(self, md, solution, analyses):  # {{{
@@ -108,15 +109,15 @@
         md = checkfield(md, 'fieldname', 'transient.issmb', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.ismasstransport', 'numel', [1], 'values', [0, 1])
+        md = checkfield(md, 'fieldname', 'transient.isoceantransport', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.isstressbalance', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.isthermal', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.isgroundingline', 'numel', [1], 'values', [0, 1])
-        md = checkfield(md, 'fieldname', 'transient.isgia', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.isesa', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.isdamageevolution', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.ishydrology', 'numel', [1], 'values', [0, 1])
+        md = checkfield(md, 'fieldname', 'transient.issampling', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.ismovingfront', 'numel', [1], 'values', [0, 1])
-        md = checkfield(md, 'fieldname', 'transient.isslr', 'numel', [1], 'values', [0, 1])
+        md = checkfield(md, 'fieldname', 'transient.isslc', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.isoceancoupling', 'numel', [1], 'values', [0, 1])
-        md = checkfield(md, 'fieldname', 'transient.iscoupler', 'numel', [1], 'values', [0, 1])
         md = checkfield(md, 'fieldname', 'transient.amr_frequency', 'numel', [1], '>=', 0, 'NaN', 1, 'Inf', 1)
 
@@ -131,15 +132,15 @@
         WriteData(fid, prefix, 'object', self, 'fieldname', 'issmb', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'ismasstransport', 'format', 'Boolean')
+        WriteData(fid, prefix, 'object', self, 'fieldname', 'isoceantransport', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'isstressbalance', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'isthermal', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'isgroundingline', 'format', 'Boolean')
-        WriteData(fid, prefix, 'object', self, 'fieldname', 'isgia', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'isesa', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'isdamageevolution', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'ishydrology', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'ismovingfront', 'format', 'Boolean')
-        WriteData(fid, prefix, 'object', self, 'fieldname', 'isslr', 'format', 'Boolean')
+        WriteData(fid, prefix, 'object', self, 'fieldname', 'issampling', 'format', 'Boolean')
+        WriteData(fid, prefix, 'object', self, 'fieldname', 'isslc', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'isoceancoupling', 'format', 'Boolean')
-        WriteData(fid, prefix, 'object', self, 'fieldname', 'iscoupler', 'format', 'Boolean')
         WriteData(fid, prefix, 'object', self, 'fieldname', 'amr_frequency', 'format', 'Integer')
 
Index: issm/trunk/src/m/classes/verbose.js
===================================================================
--- issm/trunk/src/m/classes/verbose.js	(revision 25994)
+++ issm/trunk/src/m/classes/verbose.js	(revision 26744)
@@ -25,4 +25,9 @@
 	//methods
 	this.setdefaultparameters = function(){// {{{
+		//switch(nargin),
+			//case 0,
+		this.verbose.solution=true;
+		this.verbose.qmu=true;
+		this.verbose.control=true;
 	}// }}}
 	this.disp= function(){// {{{
@@ -67,5 +72,4 @@
 	//properties 
 	// {{{
-	//BEGINFIELDS
 	this.mprocessor=false;
 	this.module=false;
@@ -77,7 +81,6 @@
 	this.autodiff=false;
 	this.smb=false;
-	//ENDFIELDS
+
+	this.setdefaultparameters();
 	// }}}
-	this.setdefaultparameters();
-	//}}}
 }
Index: issm/trunk/src/m/classes/verbose.py
===================================================================
--- issm/trunk/src/m/classes/verbose.py	(revision 25994)
+++ issm/trunk/src/m/classes/verbose.py	(revision 26744)
@@ -4,26 +4,27 @@
 
 class verbose(object):
-    """
-    VERBOSE class definition
+    """VERBOSE class definition
 
-       Available verbosity levels:
-          mprocessor  : model processing
-          module      : modules
-          solution    : solution sequence
-          solver      : solver info (extensive)
-          convergence : convergence criteria
-          control     : control method
-          qmu         : sensitivity analysis
-          autodiff    : AD analysis
-          smb         : SMB analysis
+    Available verbosity levels:
+        mprocessor  : model processing
+        module      : modules
+        solution    : solution sequence
+        solver      : solver info (extensive)
+        convergence : convergence criteria
+        control     : control method
+        qmu         : sensitivity analysis
+        autodiff    : AD analysis
+        smb         : SMB analysis
 
-       Usage:
-          verbose = verbose()
-          verbose = verbose(3)
-          verbose = verbose('001100')
-          verbose = verbose('module', True, 'solver', False)
+    Usage:
+        verbose = verbose()
+        verbose = verbose(3)
+        verbose = verbose('001100')
+        verbose = verbose('module', True, 'solver', False)
 
-    WARNING: some parts of this file are Synchronized with src/c/shared/Numerics/Verbosity.h
-             Do not modify these sections. See src/c/shared/Numerics/README for more info
+    NOTE:
+    - Some parts of this file are Synchronized with 
+    src/c/shared/Numerics/Verbosity.h. Do not modify these sections. See 
+    src/c/shared/Numerics/README for more info.
     """
 
@@ -42,5 +43,5 @@
 
         if not len(args):
-            #Don't do anything
+            # Don't do anything
             self.solution = True
             self.qmu = True
@@ -52,7 +53,7 @@
             if isinstance(binary, str):
                 if binary.lower() == 'all':
-                    binary = 2**11 - 1  #all ones
+                    binary = pow(2, 11) - 1  # all ones
                     self.BinaryToVerbose(binary)
-                    self.solver = False  #Do not use by default
+                    self.solver = False  # Do not use by default
                 else:
                     binary = int(binary, 2)
@@ -62,8 +63,8 @@
 
         else:
-            #Use options to initialize object
+            # Use options to initialize object
             self = pairoptions(*args).AssignObjectFields(self)
 
-            #Cast to logicals
+            # Cast to logicals
             listproperties = vars(self)
             for fieldname, fieldvalue in list(listproperties.items()):
